Bug 816957 - Review Request: fest-test - FEST Testing
Review Request: fest-test - FEST Testing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 816962 816967
  Show dependency treegraph
 
Reported: 2012-04-27 07:05 EDT by Mario Torre
Modified: 2012-06-26 17:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 17:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
omajid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Omair Majid 2012-05-02 18:20:58 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

fest-test.src: W: invalid-url Source0: fest-test-1.2.1.tar.bz2

Okay, upstream does not publish tarballs. The isntructions to reproduce the tarballs are included.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].

The patch fix-util-version.patch contains unnecessary files. Can you please also add comments explaining what the patches do? 

[!]  Package successfully compiles and builds into binary rpms.

The dependency fest-util is not (yet) in fedora.

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : c09400b67bcf03ce33e3843a437ab85f
MD5SUM upstream package: c09400b67bcf03ce33e3843a437ab85f

The 'upstream' package was a package I produced following the instructions in the spec file.

[?]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary

There are exact BuildRequires on fest-* packages, but I believe that's fine.

[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.

Any reason you havent packaged fest-test 2.0?

[!]  Reviewer should test that the package builds in mock.

Can not build in mock due to missing dependency fest-util


=== Issues ===
1. Please remove extra files in fix-util-version.patch
2. Please add comments explaining the purpose of the patches
3. Maven central has fest-test 2.0. What's the reason for packaging fest-test 1.2.1?
4. The dependency fest-util is not included in fedora yet
5. Please make sure the package builds in mock.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 3 Mario Torre 2012-05-03 06:44:12 EDT
fest-test 2.0 is incompatible with the rest of the fest dependencies.

Actually, I had to do some port magic, since upstream repositories are either very old (more that 3 years), or updated to incompatible versions.

The correct old versions do not compile cleanly on my system and depends on other packages that are extremely old, and they have actual issues that seem related more to programming errors. The current dependency set is the one that is most compatible with upstream and that is also required in thermostat and at the same time the most updated possible.

My hope is to make everything converge again as soon as fest-swing 2.0 is released (hopefully soon).

In the meantime, this is an update spec and src rpm:

http://neugens.fedorapeople.org/fest-test/fest-test.spec

http://neugens.fedorapeople.org/fest-test/fest-test-1.2.1-3.fc16.src.rpm

The package build in mock locally, the fest-util dependency is not yet in, still waiting for an admin to create the git repo.
Comment 4 Mario Torre 2012-05-03 13:25:50 EDT
fest-util has been pushed, I think it should show up shortly
Comment 5 Omair Majid 2012-05-03 13:46:31 EDT
================
*** APPROVED ***
================
Comment 6 Mario Torre 2012-05-03 14:33:40 EDT
New Package SCM Request
=======================
Package Name: FEST Testing
Short Description: Utility methods for testing FEST modules
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-05-03 14:44:31 EDT
Package name cannot include spaces, and should match what's in the summary
of the BZ if possible.
Comment 8 Mario Torre 2012-05-03 14:58:56 EDT
Ops, sorry, a copy/paste error, here comes the real one...
Comment 9 Mario Torre 2012-05-03 14:59:48 EDT
New Package SCM Request
=======================
Package Name: fest-test
Short Description: Utility methods for testing FEST modules
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sig
Comment 10 Gwyn Ciesla 2012-05-03 15:30:27 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-06-01 04:31:10 EDT
fest-test-1.2.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fest-test-1.2.1-3.fc17
Comment 12 Fedora Update System 2012-06-01 23:56:58 EDT
fest-test-1.2.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-06-26 17:42:35 EDT
fest-test-1.2.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.